petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCCompositeAddPC

Adds another PC to the composite PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeAddPC(PC pc,PCType type)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - the type of the new preconditioner

### Level

Developer

### Location

src/ksp/pc/impls/composite/composite.c

### Examples

src/ksp/ksp/examples/tutorials/ex71.c.html

### Implementations

PCCompositeAddPC_Composite in src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages